@media print {
    .no-print {
        display: none !important;
    }
}

#ag-truckAlert,
#ag-taskAlert {
    cursor: move;
    display: inline-block;
    padding: 0;
    margin: 0;
    line-height: 0;
}

/* keep image exact size */
#ag-truckAlert img,
#ag-taskAlert img {
    width: 80px !important;
    height: 60px !important;
    object-fit: contain;
    display: block;
}

/* remove extra anchor spacing */
#ag-truckAlert a,
#ag-taskAlert a {
    display: inline-block;
    padding: 0;
    margin: 0;
    position: relative;
    line-height: normal;
}

/* badge position */
#ag-truckAlert .badge,
#ag-taskAlert .badge {
    position: absolute;
    top: -5px;
    right: -8px;
}


.btn.header-notify.animated {
    animation-name: zoom-in-out;
    /* Define the animation name */
    animation-duration: 0.5s;
    /* Change the duration (0.5s) to your desired speed */
    animation-iteration-count: infinite;
    /* If you want the animation to repeat */
}

#google-error {
    position: absolute;
    cursor: move;
    width: 200px;
    /* Set your fixed width */
    height: 150px;
    /* Set your fixed height */
}

@keyframes zoom-in-out {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.2);
    }

    100% {
        transform: scale(1);
    }
}

.btn:focus {

    box-shadow: 0px 2px 2px 2px #2C3333;

}

.btn-sm:focus {

    box-shadow: 0px 2px 2px 2px #2C3333;
}

.button:focus {

    box-shadow: 0px 2px 2px 2px #2C3333;
}

.float-div,
.float-task-div {
    position: fixed;
    right: 100px;
    bottom: 15%;
    z-index: 9999;
}


.dataTables_length select {
    appearance: auto !important;
    -webkit-appearance: auto !important;
    -moz-appearance: auto !important;
    background-image: initial !important;
}

table.dataTable thead th {
    padding-right: 28px !important;
    vertical-align: middle;
}

table.dataTable thead th:before,
table.dataTable thead th:after {
    top: 20% !important;
    transform: translateY(-20%);
}

table.dataTable th,
table.dataTable td {
    text-align: left !important;
}

/* Keep Show entries and Search on the same line */
.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter {
    display: flex;
    align-items: center;
    gap: 6px;
}

.dataTables_wrapper .dataTables_length {
    float: left;
}

.dataTables_wrapper .dataTables_filter {
    float: right;
}

/* Prevent wrapping */
.dataTables_wrapper .row {
    flex-wrap: nowrap;
}

/* Fix input/select height alignment */
.dataTables_wrapper select,
.dataTables_wrapper input {
    height: 32px;
}


/* HEADER cells → MUST have solid bg + higher z-index */
table.dataTable thead .dtfc-fixed-left,
table.dataTable thead .dtfc-fixed-right {
    background-color: #3378b2 !important;
    /* match your header blue */
    z-index: 5 !important;
}
